﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GpsCardGatewayPosition.Model.Config
{
    /// <summary>
    /// 服务接入配置
    /// </summary>
    public class ServiceAccessConfig
    {
        /// <summary>
        /// 服务接入总开关
        /// </summary>
        public bool Enable { get; set; }
        /// <summary>
        /// IOT服务调用
        /// </summary>
        public bool EnableIotService { get; set; }
        /// <summary>
        /// 守护服务
        /// </summary>
        public bool EnableServiceGuard { get; set; }
        /// <summary>
        /// 微信推送
        /// </summary>
        public bool EnablePushWx { get; set; }
        /// <summary>
        /// 第三方推送
        /// </summary>
        public bool EnablePushThird { get; set; }

        /// <summary>
        /// 第三方定位推送
        /// </summary>
        public bool EnablePushPosition { get; set; }

        public bool EnablePushHealthy { get; set; }
        /// <summary>
        /// 快速通道
        /// </summary>
        public bool EnablePushFast { get; set; }
        /// <summary>
        /// 围栏服务推送
        /// </summary>
        public bool EnablePushFence { get; set; }
        /// <summary>
        /// 非法区域定位检测
        /// </summary>
        public bool EnableLocationMonitor { get; set; }
        /// <summary>
        /// 推送Iot定位信息
        /// </summary>
        public bool EnablePushIotPosition { get; set; }
    }
}
